Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-3931

sandbox-stackbuild issues

    Details

    • Templates:
    • Story Points:
      0.75
    • Epic Link:
    • Team:
      SQuaRE

      Description

      A number of issues with sandbox-stackbuild, or rather its infrastructure.

      1. Problem with the librarian-puppet plugin and its mismatch with the puppet forge API (Joshua Hoblitt has a PR open apparently)

      2. As a workaround to above, one needs to

      gem install librarian-puppet
      librarian-puppet install
      

      but that runs into an issue with swap_file needing a downgrade to work with Ubuntu 14.04. Working state as of the time of this bug report for the Puppetfile is:

       
      forge 'https://forgeapi.puppetlabs.com'
       
      mod 'puppetlabs/stdlib'
      mod 'camptocamp/augeas', '~> 1.4'
      mod 'stahnma/epel', '~> 1.1'
      mod 'petems/swap_file', '1.0.1'
      mod 'jhoblitt/sysstat', '~> 1.1'
      mod 'maestrodev/wget', '~> 1.7'
       
      mod 'jhoblitt/lsststack', :git => 'https://github.com/lsst-sqre/puppet-lsststack.git'
      

      3. Which brings us to the fact that the Vagrant puppet-install plugin is broken with Puppet 4, and new platforms are not supported under Puppet 3. Ergo, as is, can't bring up Ubuntu 15.05 etc.

      Ticket is to get PRs merged, fork and fix them ourselves, or find alternatives.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jhoblitt Joshua Hoblitt
                Reporter:
                frossie Frossie Economou
                Reviewers:
                Frossie Economou
                Watchers:
                Frossie Economou, Joshua Hoblitt
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Summary Panel